<template>
    <div id="MovementItem">
        <section>
            <td>{{ movements.name_movements }}</td>
            <td>{{ movements.money_movements }}</td>
            <td>{{ movements.type_movements }}</td>
            <td>{{ movements.date_movements }}</td>
            <td>{{ movements.description_movements}}</td>
            <td>{{ movements.name_category }}</td>
        </section>

        <section>
            <button class="button-delete" @click="onClickButtonDelete">Delete</button>
            <button class="button-edit" @click="onClickButtonEdit">Edit</button>
        </section>
    </div>
</template>
<script>
export default {
    name: 'MovementItem',

    props: {
        movements: { propType: Object, required: true },
    },
    methods: {
        onClickButtonDelete() {
            this.$emit('button-delete', this.movement)
        },
        onClickButtonEdit() {
            this.$emit('button-edit', this.movement)
        },
    },
}
</script>
<style scoped></style>
